import type { EventBusEvents, RemoteBrowserCreateClientSettings, WSEvents } from "./types";
export declare function createClient({ instanceURN, iframeSource, ...settings }: RemoteBrowserCreateClientSettings): {
    attach(el: any): void;
    destroy(): void;
    on: {
        <E extends keyof EventBusEvents, D extends EventBusEvents[E]>(eventName: E, handler: (arg: D) => void | Promise<void>): void;
        <E_1 extends "linkClicked", D_1 extends WSEvents[E_1]>(eventName: E_1, handler: (arg: D_1) => void | Promise<void>): void;
    };
    off: {
        <E_2 extends keyof EventBusEvents, D_2 extends EventBusEvents[E_2]>(eventName: E_2, handler: (arg: D_2) => void | Promise<void>): void;
        <E_3 extends "linkClicked", D_3 extends WSEvents[E_3]>(eventName: E_3, handler: (arg: D_3) => void | Promise<void>): void;
    };
    openInCurrentTab(url: string): void;
    openInNewTab(url: string): void;
    startRecording(): void;
    stopRecording(): void;
};
