import { WSEvents } from "./types";
export declare function getWSUrl(instanceSrc: string): string;
export declare function createWebsocketClient(): {
    init: (wsAddr: string) => void;
    destroy: () => void;
    registerMessageHandler: <E extends "linkClicked", D extends WSEvents[E]>(eventName: E, handler: (arg: D) => void | Promise<void>) => void;
    unregisterMessageHandler: <E_1 extends "linkClicked", D_1 extends WSEvents[E_1]>(eventName: E_1, handler: (arg: D_1) => void | Promise<void>) => void;
    isWSEvent: (eventName: string) => boolean;
    isConnected(): boolean;
};
